Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputStoryAreaType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputStoryAreaType

Direct Known Subclasses:
  `TdApi.InputStoryAreaTypeFoundVenue`, `TdApi.InputStoryAreaTypeLocation`, `TdApi.InputStoryAreaTypeMessage`, `TdApi.InputStoryAreaTypePreviousVenue`, `TdApi.InputStoryAreaTypeSuggestedReaction`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.InputStoryAreaType extends TdApi.Object permits TdApi.InputStoryAreaTypeLocation, TdApi.InputStoryAreaTypeFoundVenue, TdApi.InputStoryAreaTypePreviousVenue, TdApi.InputStoryAreaTypeSuggestedReaction, TdApi.InputStoryAreaTypeMessage
This class is an abstract base class. Describes type of a clickable rectangle area on a story media to be added.

## Constructor Summary

Constructors
Constructor
Description
`InputStoryAreaType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InputStoryAreaType

public InputStoryAreaType()
Default class constructor.